<!DOCTYPE html>
<html>

<head>
	<meta charset="utf-8" />
	<link rel="stylesheet" href="../XXX.css" />
	<link rel="stylesheet" href="Detalle.css" />
	<title>Detalle</title>

	<script>
		function loadXMLDoc(filename) {
			//Abrimos una conexión con el servidor
			xhttp = new XMLHttpRequest();
			//Pedimos un fichero
			xhttp.open("GET", filename, false);
			try { xhttp.responseType = "msxml-document" } catch (err) { alert("Hay error"); } // Helping IE11
			xhttp.send("");
			return xhttp.responseXML;
		}

		//Funcion que nos permite recuperar el Identificador de la receta seleccionada
		//en la pantalla principal. Viene por la URL, método GET.
		function getId(sParametroNombre) {
			var sPaginaURL = window.location.search.substring(1);
			var sURLVariables = sPaginaURL.split('&');
			for (var i = 0; i < sURLVariables.length; i++) {
				var sParametro = sURLVariables[i].split('=');
				if (sParametro[0] == sParametroNombre) {
					return sParametro[1];
				}
			}
			return null;
		}


		function displayResult() {
			//Buscamos en la URL el parametro id usando la funcion getId
			var idReceta = getId('id');
			if (idReceta) {
				//Queremos cargar los ficheros XML y XSLT

				// CUIDADO!! Debes cambiar el nombre de los ficheros que quieres cargar.
				xml = loadXMLDoc("videojuego" + idReceta + ".xml");
				xsl = loadXMLDoc("Detalle.xsl");
				if (document.implementation && document.implementation.createDocument) {
					//Lanzamos el xsltproc que tiene el navegador
					xsltProcessor = new XSLTProcessor();
					xsltProcessor.importStylesheet(xsl);
					resultDocument = xsltProcessor.transformToFragment(xml, document);
					//El resultado de la transformación los ponemos dentro del elemento
					//section con identificador CONTENT-RECETAS
					document.getElementById("content-videojuegos").appendChild(resultDocument);
				}
			} else {
				alert("El parámetro no existe en la URL");
			}
		}
	</script>


</head>

<body class="content-body" onload="displayResult()">
	

	<header>
		<img src="/public/RodríguezAdrián/src/src/M4PLay.jpg" alt="foto principal">
		<H1>LEARNING THROUGH PLAY</H1>
	</header>
	<div class="navbar">
		<nav>

			<a href="https://5500-adrianrodriguez-m04html-odnfbha81fn.ws-eu77.gitpod.io/public/Pagina%20web%20videojuegos/paginaweb.html">M04 PLAY</a>
			<a href="https://5500-adrianrodriguez-m04html-odnfbha81fn.ws-eu77.gitpod.io/public/Pagina%20web%20videojuegos/paginaListaJuegos.html">VIDEOJUEGOS</a>
			<a href="https://gitlab.com/pages/">NOTICIAS</a>
			<a href="https://gitlab.com/pages/">RANKING</a>
			<a href="https://5500-adrianrodriguez-m04html-w6tir0gka34.ws-eu77.gitpod.io/public/Pagina%20web%20videojuegos/Encuesta.html">ENCUESTAS</a>
			<a href="https://gitlab.com/pages/">CONTACTO</a>

		</nav>
	</div>

	<main>
		
		
		<!---CONTENEDOR DEL CÓDIGO DÓNDE IRÁ LA RECETA-->
		<section class="content" id="content-videojuegos">
		</section>

	</main>

	<div class="PieDePagina">
		<footer>
			<a href=""><img class="footer-logos-rs" src="src/src/instagram.png" alt="Instagram" /></a>
			<a href=""><img class="footer-logos-rs" src="src/src/facebook.png" alt="Facebook" /></a>
			<a href=""><img class="footer-logos-rs" src="src/src/twitter.png" alt="Twitter" /></a>
			<a href=""><img class="footer-logos-rs" src="src/src/youtube.png" alt="Youtube" /></a>
		</footer>
		
		<div>
			<address>Carrer d'Aiguablava 121</address>
			<address>08033 Barcelona</address>
		</div>
		<p>Copyright © 2022-2023</p>
	</div>

</body>

</html>